diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -2525,243 +2534,243 @@ CCOOMMMMAANNDD EEXXEECCUUTTIIOONN EENNVVIIRROONNMMEENN
        +o      shell parameters that are set by variable assignment or with sseett
               or inherited from the shell's parent in the environment
 
-       +o      shell functions defined during execution or inherited  from  the
+       +o      shell  functions  defined during execution or inherited from the
               shell's parent in the environment
 
-       +o      options  enabled  at  invocation (either by default or with com-
+       +o      options enabled at invocation (either by default  or  with  com-
               mand-line arguments) or by sseett
 
        +o      options enabled by sshhoopptt
 
        +o      shell aliases defined with aalliiaass
 
-       +o      various process IDs, including those  of  background  jobs,  the
+       +o      various  process  IDs,  including  those of background jobs, the
               value of $$$$, and the value of PPPPIIDD
 
-       When  a  simple command other than a builtin or shell function is to be
-       executed, it is invoked in a separate execution environment  that  con-
-       sists  of the following.  Unless otherwise noted, the values are inher-
+       When a simple command other than a builtin or shell function is  to  be
+       executed,  it  is invoked in a separate execution environment that con-
+       sists of the following.  Unless otherwise noted, the values are  inher-
        ited from the shell.
 
 
-       +o      the shell's open files, plus  any  modifications  and  additions
+       +o      the  shell's  open  files,  plus any modifications and additions
               specified by redirections to the command
 
        +o      the current working directory
 
        +o      the file creation mode mask
 
-       +o      shell  variables  and  functions  marked  for export, along with
+       +o      shell variables and functions  marked  for  export,  along  with
               variables exported for the command, passed in the environment
 
        +o      traps caught by the shell are reset to the values inherited from
               the shell's parent, and traps ignored by the shell are ignored
 
-       A  command  invoked  in  this  separate  environment  cannot affect the
+       A command invoked  in  this  separate  environment  cannot  affect  the
        shell's execution environment.
 
-       Command substitution, commands grouped with parentheses, and  asynchro-
+       Command  substitution, commands grouped with parentheses, and asynchro-
        nous commands are invoked in a subshell environment that is a duplicate
-       of the shell environment, except that traps caught  by  the  shell  are
+       of  the  shell  environment,  except that traps caught by the shell are
        reset to the values that the shell inherited from its parent at invoca-
        tion.  Builtin commands that are invoked as part of a pipeline are also
        executed in a subshell environment.  Changes made to the subshell envi-
        ronment cannot affect the shell's execution environment.
 
        Subshells spawned to execute command substitutions inherit the value of
-       the  --ee  option  from  the  parent shell.  When not in _p_o_s_i_x mode, bbaasshh
+       the --ee option from the parent shell.  When  not  in  _p_o_s_i_x  mode,  bbaasshh
        clears the --ee option in such subshells.
 
-       If a command is followed by a && and job  control  is  not  active,  the
-       default  standard  input  for  the command is the empty file _/_d_e_v_/_n_u_l_l.
-       Otherwise, the invoked command inherits the  file  descriptors  of  the
+       If  a  command  is  followed  by a && and job control is not active, the
+       default standard input for the command is  the  empty  file  _/_d_e_v_/_n_u_l_l.
+       Otherwise,  the  invoked  command  inherits the file descriptors of the
        calling shell as modified by redirections.
 
 EENNVVIIRROONNMMEENNTT
-       When  a  program  is invoked it is given an array of strings called the
+       When a program is invoked it is given an array of  strings  called  the
        _e_n_v_i_r_o_n_m_e_n_t.   This  is  a  list  of  _n_a_m_e-_v_a_l_u_e  pairs,  of  the  form
        _n_a_m_e=_v_a_l_u_e.
 
-       The  shell  provides  several  ways  to manipulate the environment.  On
+       The shell provides several ways  to  manipulate  the  environment.   On
        invocation, the shell scans its own environment and creates a parameter
-       for  each name found, automatically marking it for _e_x_p_o_r_t to child pro-
-       cesses.  Executed commands inherit the  environment.   The  eexxppoorrtt  and
-       ddeeccllaarree  --xx  commands allow parameters and functions to be added to and
+       for each name found, automatically marking it for _e_x_p_o_r_t to child  pro-
+       cesses.   Executed  commands  inherit  the environment.  The eexxppoorrtt and
+       ddeeccllaarree --xx commands allow parameters and functions to be added  to  and
        deleted from the environment.  If the value of a parameter in the envi-
-       ronment  is  modified,  the  new value becomes part of the environment,
-       replacing the old.  The environment inherited by any  executed  command
-       consists  of the shell's initial environment, whose values may be modi-
-       fied in the shell, less any pairs removed by the  uunnsseett  command,  plus
+       ronment is modified, the new value becomes  part  of  the  environment,
+       replacing  the  old.  The environment inherited by any executed command
+       consists of the shell's initial environment, whose values may be  modi-
+       fied  in  the  shell, less any pairs removed by the uunnsseett command, plus
        any additions via the eexxppoorrtt and ddeeccllaarree --xx commands.
 
-       The  environment  for  any  _s_i_m_p_l_e _c_o_m_m_a_n_d or function may be augmented
-       temporarily by prefixing it with parameter  assignments,  as  described
+       The environment for any _s_i_m_p_l_e _c_o_m_m_a_n_d or  function  may  be  augmented
+       temporarily  by  prefixing  it with parameter assignments, as described
        above in PPAARRAAMMEETTEERRSS.  These assignment statements affect only the envi-
        ronment seen by that command.
 
-       If the --kk option is set (see the sseett builtin command below),  then  _a_l_l
-       parameter  assignments are placed in the environment for a command, not
+       If  the  --kk option is set (see the sseett builtin command below), then _a_l_l
+       parameter assignments are placed in the environment for a command,  not
        just those that precede the command name.
 
-       When bbaasshh invokes an external command, the variable __  is  set  to  the
+       When  bbaasshh  invokes  an  external command, the variable __ is set to the
        full filename of the command and passed to that command in its environ-
        ment.
 
 EEXXIITT SSTTAATTUUSS
-       The exit status of an executed command is the  value  returned  by  the
+       The  exit  status  of  an executed command is the value returned by the
        _w_a_i_t_p_i_d system call or equivalent function.  Exit statuses fall between
-       0 and 255, though, as explained below, the shell may use  values  above
+       0  and  255, though, as explained below, the shell may use values above
        125 specially.  Exit statuses from shell builtins and compound commands
        are also limited to this range.  Under certain circumstances, the shell
        will use special values to indicate specific failure modes.
 
        For the shell's purposes, a command which exits with a zero exit status
-       has succeeded.  An exit status of zero indicates success.   A  non-zero
-       exit  status  indicates  failure.  When a command terminates on a fatal
+       has  succeeded.   An exit status of zero indicates success.  A non-zero
+       exit status indicates failure.  When a command terminates  on  a  fatal
        signal _N, bbaasshh uses the value of 128+_N as the exit status.
 
-       If a command is not found, the child  process  created  to  execute  it
-       returns  a status of 127.  If a command is found but is not executable,
+       If  a  command  is  not  found, the child process created to execute it
+       returns a status of 127.  If a command is found but is not  executable,
        the return status is 126.
 
        If a command fails because of an error during expansion or redirection,
        the exit status is greater than zero.
 
-       Shell  builtin  commands return a status of 0 (_t_r_u_e) if successful, and
-       non-zero (_f_a_l_s_e) if an error occurs while they execute.   All  builtins
-       return  an  exit  status  of  2  to indicate incorrect usage, generally
+       Shell builtin commands return a status of 0 (_t_r_u_e) if  successful,  and
+       non-zero  (_f_a_l_s_e)  if an error occurs while they execute.  All builtins
+       return an exit status of  2  to  indicate  incorrect  usage,  generally
        invalid options or missing arguments.
 
-       BBaasshh itself returns the exit  status  of  the  last  command  executed,
-       unless  a  syntax  error occurs, in which case it exits with a non-zero
+       BBaasshh  itself  returns  the  exit  status  of the last command executed,
+       unless a syntax error occurs, in which case it exits  with  a  non-zero
        value.  See also the eexxiitt builtin command below.
 
 SSIIGGNNAALLSS
-       When bbaasshh is interactive, in the  absence  of  any  traps,  it  ignores
+       When  bbaasshh  is  interactive,  in  the  absence of any traps, it ignores
        SSIIGGTTEERRMM (so that kkiillll 00 does not kill an interactive shell), and SSIIGGIINNTT
-       is caught and handled (so that the wwaaiitt builtin is interruptible).   In
-       all  cases,  bbaasshh  ignores  SSIIGGQQUUIITT.  If job control is in effect, bbaasshh
+       is  caught and handled (so that the wwaaiitt builtin is interruptible).  In
+       all cases, bbaasshh ignores SSIIGGQQUUIITT.  If job control  is  in  effect,  bbaasshh
        ignores SSIIGGTTTTIINN, SSIIGGTTTTOOUU, and SSIIGGTTSSTTPP.
 
        Non-builtin commands run by bbaasshh have signal handlers set to the values
-       inherited  by  the  shell  from its parent.  When job control is not in
-       effect, asynchronous commands ignore SSIIGGIINNTT and SSIIGGQQUUIITT in addition  to
-       these  inherited handlers.  Commands run as a result of command substi-
+       inherited by the shell from its parent.  When job  control  is  not  in
+       effect,  asynchronous commands ignore SSIIGGIINNTT and SSIIGGQQUUIITT in addition to
+       these inherited handlers.  Commands run as a result of command  substi-
        tution ignore the keyboard-generated job control signals SSIIGGTTTTIINN, SSIIGGTT--
        TTOOUU, and SSIIGGTTSSTTPP.
 
-       The  shell  exits by default upon receipt of a SSIIGGHHUUPP.  Before exiting,
-       an interactive shell  resends  the  SSIIGGHHUUPP  to  all  jobs,  running  or
+       The shell exits by default upon receipt of a SSIIGGHHUUPP.   Before  exiting,
+       an  interactive  shell  resends  the  SSIIGGHHUUPP  to  all  jobs, running or
        stopped.  Stopped jobs are sent SSIIGGCCOONNTT to ensure that they receive the
-       SSIIGGHHUUPP.  To prevent the shell from sending the signal to  a  particular
-       job,  it  should be removed from the jobs table with the ddiissoowwnn builtin
-       (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below) or  marked  to  not  receive  SSIIGGHHUUPP
+       SSIIGGHHUUPP.   To  prevent the shell from sending the signal to a particular
+       job, it should be removed from the jobs table with the  ddiissoowwnn  builtin
+       (see  SSHHEELLLL  BBUUIILLTTIINN  CCOOMMMMAANNDDSS  below)  or marked to not receive SSIIGGHHUUPP
        using ddiissoowwnn --hh.
 
-       If  the  hhuuppoonneexxiitt  shell  option has been set with sshhoopptt, bbaasshh sends a
+       If the hhuuppoonneexxiitt shell option has been set with  sshhoopptt,  bbaasshh  sends  a
        SSIIGGHHUUPP to all jobs when an interactive login shell exits.
 
-       If bbaasshh is waiting for a command to complete and receives a signal  for
+       If  bbaasshh is waiting for a command to complete and receives a signal for
        which a trap has been set, the trap will not be executed until the com-
-       mand completes.  When bbaasshh is waiting for an asynchronous  command  via
-       the  wwaaiitt  builtin, the reception of a signal for which a trap has been
+       mand  completes.   When bbaasshh is waiting for an asynchronous command via
+       the wwaaiitt builtin, the reception of a signal for which a trap  has  been
        set will cause the wwaaiitt builtin to return immediately with an exit sta-
        tus greater than 128, immediately after which the trap is executed.
 
 JJOOBB CCOONNTTRROOLL
-       _J_o_b  _c_o_n_t_r_o_l  refers  to  the ability to selectively stop (_s_u_s_p_e_n_d) the
+       _J_o_b _c_o_n_t_r_o_l refers to the ability to  selectively  stop  (_s_u_s_p_e_n_d)  the
        execution of processes and continue (_r_e_s_u_m_e) their execution at a later
-       point.   A  user  typically  employs  this  facility via an interactive
-       interface supplied jointly by the operating  system  kernel's  terminal
+       point.  A user typically  employs  this  facility  via  an  interactive
+       interface  supplied  jointly  by the operating system kernel's terminal
        driver and bbaasshh.
 
-       The  shell  associates  a  _j_o_b with each pipeline.  It keeps a table of
-       currently executing jobs, which may be listed with  the  jjoobbss  command.
-       When  bbaasshh starts a job asynchronously (in the _b_a_c_k_g_r_o_u_n_d), it prints a
+       The shell associates a _j_o_b with each pipeline.  It  keeps  a  table  of
+       currently  executing  jobs,  which may be listed with the jjoobbss command.
+       When bbaasshh starts a job asynchronously (in the _b_a_c_k_g_r_o_u_n_d), it prints  a
        line that looks like:
 
               [1] 25647
 
        indicating that this job is job number 1 and that the process ID of the
        last process in the pipeline associated with this job is 25647.  All of
-       the processes in a single pipeline are members of the same  job.   BBaasshh
+       the  processes  in a single pipeline are members of the same job.  BBaasshh
        uses the _j_o_b abstraction as the basis for job control.
 
-       To  facilitate the implementation of the user interface to job control,
+       To facilitate the implementation of the user interface to job  control,
        the operating system maintains the notion of a _c_u_r_r_e_n_t _t_e_r_m_i_n_a_l _p_r_o_c_e_s_s
        _g_r_o_u_p _I_D.  Members of this process group (processes whose process group
        ID is equal to the current terminal process group ID) receive keyboard-
-       generated  signals  such  as SSIIGGIINNTT.  These processes are said to be in
-       the _f_o_r_e_g_r_o_u_n_d.  _B_a_c_k_g_r_o_u_n_d processes are those whose process group  ID
+       generated signals such as SSIIGGIINNTT.  These processes are said  to  be  in
+       the  _f_o_r_e_g_r_o_u_n_d.  _B_a_c_k_g_r_o_u_n_d processes are those whose process group ID
        differs from the terminal's; such processes are immune to keyboard-gen-
        erated signals.  Only foreground processes are allowed to read from or,
-       if  the  user  so  specifies  with  stty tostop, write to the terminal.
-       Background processes which attempt to read from  (write  to  when  stty
-       tostop  is  in effect) the terminal are sent a SSIIGGTTTTIINN ((SSIIGGTTTTOOUU)) signal
-       by the kernel's terminal driver, which,  unless  caught,  suspends  the
+       if the user so specifies with  stty  tostop,  write  to  the  terminal.
+       Background  processes  which  attempt  to read from (write to when stty
+       tostop is in effect) the terminal are sent a SSIIGGTTTTIINN  ((SSIIGGTTTTOOUU))  signal
+       by  the  kernel's  terminal  driver, which, unless caught, suspends the
        process.
 
-       If  the operating system on which bbaasshh is running supports job control,
+       If the operating system on which bbaasshh is running supports job  control,
        bbaasshh contains facilities to use it.  Typing the _s_u_s_p_e_n_d character (typ-
        ically ^^ZZ, Control-Z) while a process is running causes that process to
-       be stopped and returns control to bbaasshh.   Typing  the  _d_e_l_a_y_e_d  _s_u_s_p_e_n_d
-       character  (typically  ^^YY,  Control-Y) causes the process to be stopped
-       when it attempts to read input from the terminal,  and  control  to  be
-       returned  to bbaasshh.  The user may then manipulate the state of this job,
-       using the bbgg command to continue it in the background, the  ffgg  command
+       be  stopped  and  returns  control to bbaasshh.  Typing the _d_e_l_a_y_e_d _s_u_s_p_e_n_d
+       character (typically ^^YY, Control-Y) causes the process  to  be  stopped
+       when  it  attempts  to  read input from the terminal, and control to be
+       returned to bbaasshh.  The user may then manipulate the state of this  job,
+       using  the  bbgg command to continue it in the background, the ffgg command
        to continue it in the foreground, or the kkiillll command to kill it.  A ^^ZZ
        takes effect immediately, and has the additional side effect of causing
        pending output and typeahead to be discarded.
 
        There are a number of ways to refer to a job in the shell.  The charac-
-       ter %% introduces a job specification (_j_o_b_s_p_e_c).  Job number  _n  may  be
+       ter  %%  introduces  a job specification (_j_o_b_s_p_e_c).  Job number _n may be
        referred to as %%nn.  A job may also be referred to using a prefix of the
        name used to start it, or using a substring that appears in its command
-       line.   For  example,  %%ccee  refers  to  a  stopped ccee job.  If a prefix
-       matches more than one job, bbaasshh reports an error.  Using %%??ccee,  on  the
-       other  hand,  refers to any job containing the string ccee in its command
-       line.  If the substring matches more than  one  job,  bbaasshh  reports  an
-       error.   The  symbols %%%% and %%++ refer to the shell's notion of the _c_u_r_-
-       _r_e_n_t _j_o_b, which is the last job stopped while it was in the  foreground
+       line.  For example, %%ccee refers to  a  stopped  ccee  job.   If  a  prefix
+       matches  more  than one job, bbaasshh reports an error.  Using %%??ccee, on the
+       other hand, refers to any job containing the string ccee in  its  command
+       line.   If  the  substring  matches  more than one job, bbaasshh reports an
+       error.  The symbols %%%% and %%++ refer to the shell's notion of  the  _c_u_r_-
+       _r_e_n_t  _j_o_b, which is the last job stopped while it was in the foreground
        or started in the background.  The _p_r_e_v_i_o_u_s _j_o_b may be referenced using
        %%--.  If there is only a single job, %%++ and %%-- can both be used to refer
-       to  that  job.   In  output pertaining to jobs (e.g., the output of the
+       to that job.  In output pertaining to jobs (e.g.,  the  output  of  the
        jjoobbss command), the current job is always flagged with a ++, and the pre-
-       vious  job  with  a --.  A single % (with no accompanying job specifica-
+       vious job with a --.  A single % (with no  accompanying  job  specifica-
        tion) also refers to the current job.
 
-       Simply naming a job can be used to bring it into the foreground: %%11  is
-       a  synonym  for  ````ffgg %%11'''', bringing job 1 from the background into the
-       foreground.  Similarly, ````%%11 &&''''  resumes  job  1  in  the  background,
+       Simply  naming a job can be used to bring it into the foreground: %%11 is
+       a synonym for ````ffgg %%11'''', bringing job 1 from the  background  into  the
+       foreground.   Similarly,  ````%%11  &&''''  resumes  job  1 in the background,
        equivalent to ````bbgg %%11''''.
 
-       The  shell  learns immediately whenever a job changes state.  Normally,
+       The shell learns immediately whenever a job changes  state.   Normally,
        bbaasshh waits until it is about to print a prompt before reporting changes
-       in  a  job's status so as to not interrupt any other output.  If the --bb
+       in a job's status so as to not interrupt any other output.  If  the  --bb
        option to the sseett builtin command is enabled, bbaasshh reports such changes
-       immediately.   Any  trap  on  SSIIGGCCHHLLDD  is  executed for each child that
+       immediately.  Any trap on SSIIGGCCHHLLDD  is  executed  for  each  child  that
        exits.
 
-       If an attempt to exit bbaasshh is made while jobs are stopped (or,  if  the
-       cchheecckkjjoobbss  shell  option has been enabled using the sshhoopptt builtin, run-
+       If  an  attempt to exit bbaasshh is made while jobs are stopped (or, if the
+       cchheecckkjjoobbss shell option has been enabled using the sshhoopptt  builtin,  run-
        ning), the shell prints a warning message, and, if the cchheecckkjjoobbss option
-       is  enabled,  lists  the jobs and their statuses.  The jjoobbss command may
-       then be used to inspect their status.  If a second attempt to  exit  is
-       made  without  an intervening command, the shell does not print another
+       is enabled, lists the jobs and their statuses.  The  jjoobbss  command  may
+       then  be  used to inspect their status.  If a second attempt to exit is
+       made without an intervening command, the shell does not  print  another
        warning, and any stopped jobs are terminated.
 
 PPRROOMMPPTTIINNGG
        When executing interactively, bbaasshh displays the primary prompt PPSS11 when
-       it  is  ready  to  read a command, and the secondary prompt PPSS22 when it
-       needs more input to complete  a  command.   BBaasshh  allows  these  prompt
-       strings  to  be  customized  by inserting a number of backslash-escaped
+       it is ready to read a command, and the secondary  prompt  PPSS22  when  it
+       needs  more  input  to  complete  a  command.  BBaasshh allows these prompt
+       strings to be customized by inserting  a  number  of  backslash-escaped
        special characters that are decoded as follows:
               \\aa     an ASCII bell character (07)
-              \\dd     the date in "Weekday Month Date" format (e.g.,  "Tue  May
+              \\dd     the  date  in "Weekday Month Date" format (e.g., "Tue May
                      26")
               \\DD{{_f_o_r_m_a_t}}
-                     the  _f_o_r_m_a_t  is  passed  to _s_t_r_f_t_i_m_e(3) and the result is
-                     inserted into the prompt string; an empty _f_o_r_m_a_t  results
+                     the _f_o_r_m_a_t is passed to _s_t_r_f_t_i_m_e(3)  and  the  result  is
+                     inserted  into the prompt string; an empty _f_o_r_m_a_t results
                      in a locale-specific time representation.  The braces are
                      required
               \\ee     an ASCII escape character (033)
@@ -2771,7 +2780,7 @@ PPRROOMMPPTTIINNGG
               \\ll     the basename of the shell's terminal device name
               \\nn     newline
               \\rr     carriage return
-              \\ss     the name of the shell, the basename of  $$00  (the  portion
+              \\ss     the  name  of  the shell, the basename of $$00 (the portion
                      following the final slash)
               \\tt     the current time in 24-hour HH:MM:SS format
               \\TT     the current time in 12-hour HH:MM:SS format
@@ -2780,8 +2789,8 @@ PPRROOMMPPTTIINNGG
               \\uu     the username of the current user
               \\vv     the version of bbaasshh (e.g., 2.00)
               \\VV     the release of bbaasshh, version + patch level (e.g., 2.00.0)
-              \\ww     the  current  working  directory,  with $$HHOOMMEE abbreviated
-                     with a tilde (uses the value of the PPRROOMMPPTT__DDIIRRTTRRIIMM  vari-
+              \\ww     the current working  directory,  with  $$HHOOMMEE  abbreviated
+                     with  a tilde (uses the value of the PPRROOMMPPTT__DDIIRRTTRRIIMM vari-
                      able)
               \\WW     the basename of the current working directory, with $$HHOOMMEE
                      abbreviated with a tilde
@@ -2790,66 +2799,66 @@ PPRROOMMPPTTIINNGG
               \\$$     if the effective UID is 0, a ##, otherwise a $$
               \\_n_n_n   the character corresponding to the octal number _n_n_n
               \\\\     a backslash
-              \\[[     begin a sequence of non-printing characters, which  could
-                     be  used  to  embed  a terminal control sequence into the
+              \\[[     begin  a sequence of non-printing characters, which could
+                     be used to embed a terminal  control  sequence  into  the
                      prompt
               \\]]     end a sequence of non-printing characters
 
-       The command number and the history number are  usually  different:  the
-       history  number of a command is its position in the history list, which
-       may include commands  restored  from  the  history  file  (see  HHIISSTTOORRYY
-       below),  while  the  command  number is the position in the sequence of
-       commands executed during the current shell session.  After  the  string
-       is  decoded,  it is expanded via parameter expansion, command substitu-
-       tion, arithmetic expansion, and quote removal, subject to the value  of
-       the  pprroommppttvvaarrss  shell option (see the description of the sshhoopptt command
+       The  command  number  and the history number are usually different: the
+       history number of a command is its position in the history list,  which
+       may  include  commands  restored  from  the  history  file (see HHIISSTTOORRYY
+       below), while the command number is the position  in  the  sequence  of
+       commands  executed  during the current shell session.  After the string
+       is decoded, it is expanded via parameter expansion,  command  substitu-
+       tion,  arithmetic expansion, and quote removal, subject to the value of
+       the pprroommppttvvaarrss shell option (see the description of the  sshhoopptt  command
        under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
 
 RREEAADDLLIINNEE
-       This is the library that handles reading input when using  an  interac-
+       This  is  the library that handles reading input when using an interac-
        tive shell, unless the ----nnooeeddiittiinngg option is given at shell invocation.
        Line editing is also used when using the --ee option to the rreeaadd builtin.
        By default, the line editing commands are similar to those of Emacs.  A
        vi-style line editing interface is also available.  Line editing can be
-       enabled  at  any  time  using  the --oo eemmaaccss or --oo vvii options to the sseett
-       builtin (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  To turn off  line  editing
-       after  the  shell  is running, use the ++oo eemmaaccss or ++oo vvii options to the
+       enabled at any time using the --oo eemmaaccss or --oo  vvii  options  to  the  sseett
+       builtin  (see  SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  To turn off line editing
+       after the shell is running, use the ++oo eemmaaccss or ++oo vvii  options  to  the
        sseett builtin.
 
    RReeaaddlliinnee NNoottaattiioonn
        In this section, the Emacs-style notation is used to denote keystrokes.
-       Control  keys  are  denoted by C-_k_e_y, e.g., C-n means Control-N.  Simi-
-       larly, _m_e_t_a keys are denoted by M-_k_e_y, so M-x means Meta-X.   (On  key-
-       boards  without a _m_e_t_a key, M-_x means ESC _x, i.e., press the Escape key
+       Control keys are denoted by C-_k_e_y, e.g., C-n  means  Control-N.   Simi-
+       larly,  _m_e_t_a  keys are denoted by M-_k_e_y, so M-x means Meta-X.  (On key-
+       boards without a _m_e_t_a key, M-_x means ESC _x, i.e., press the Escape  key
        then the _x key.  This makes ESC the _m_e_t_a _p_r_e_f_i_x.  The combination M-C-_x
-       means  ESC-Control-_x, or press the Escape key then hold the Control key
+       means ESC-Control-_x, or press the Escape key then hold the Control  key
        while pressing the _x key.)
 
        Readline commands may be given numeric _a_r_g_u_m_e_n_t_s, which normally act as
-       a  repeat  count.   Sometimes,  however, it is the sign of the argument
-       that is significant.  Passing a negative argument  to  a  command  that
-       acts  in the forward direction (e.g., kkiillll--lliinnee) causes that command to
-       act in a backward direction.  Commands whose  behavior  with  arguments
+       a repeat count.  Sometimes, however, it is the  sign  of  the  argument
+       that  is  significant.   Passing  a negative argument to a command that
+       acts in the forward direction (e.g., kkiillll--lliinnee) causes that command  to
+       act  in  a  backward direction.  Commands whose behavior with arguments
        deviates from this are noted below.
 
-       When  a command is described as _k_i_l_l_i_n_g text, the text deleted is saved
+       When a command is described as _k_i_l_l_i_n_g text, the text deleted is  saved
        for possible future retrieval (_y_a_n_k_i_n_g).  The killed text is saved in a
        _k_i_l_l _r_i_n_g.  Consecutive kills cause the text to be accumulated into one
        unit, which can be yanked all at once.  Commands which do not kill text
        separate the chunks of text on the kill ring.
 
    RReeaaddlliinnee IInniittiiaalliizzaattiioonn
-       Readline  is  customized  by putting commands in an initialization file
-       (the _i_n_p_u_t_r_c file).  The name of this file is taken from the  value  of
-       the  IINNPPUUTTRRCC  variable.   If  that  variable  is  unset, the default is
-       _~_/_._i_n_p_u_t_r_c.  When a program which uses the readline library starts  up,
+       Readline is customized by putting commands in  an  initialization  file
+       (the  _i_n_p_u_t_r_c  file).  The name of this file is taken from the value of
+       the IINNPPUUTTRRCC variable.  If  that  variable  is  unset,  the  default  is
+       _~_/_._i_n_p_u_t_r_c.   When a program which uses the readline library starts up,
        the initialization file is read, and the key bindings and variables are
-       set.  There are only a few basic constructs  allowed  in  the  readline
-       initialization  file.  Blank lines are ignored.  Lines beginning with a
-       ## are comments.  Lines beginning with a  $$  indicate  conditional  con-
+       set.   There  are  only  a few basic constructs allowed in the readline
+       initialization file.  Blank lines are ignored.  Lines beginning with  a
+       ##  are  comments.   Lines  beginning with a $$ indicate conditional con-
        structs.  Other lines denote key bindings and variable settings.
 
-       The  default  key-bindings  may be changed with an _i_n_p_u_t_r_c file.  Other
+       The default key-bindings may be changed with an  _i_n_p_u_t_r_c  file.   Other
        programs that use this library may add their own commands and bindings.
 
        For example, placing
